Bug 111162 - No way to show status bar if JavaScript turns it off
Summary: No way to show status bar if JavaScript turns it off
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: general (show other bugs)
Version: 4.8.4
Platform: Compiled Sources Linux
: NOR normal with 5 votes (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-20 18:01 UTC by Jonathan Marten
Modified: 2012-06-27 09:37 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Marten 2005-08-20 18:01:02 UTC
Version:            (using KDE KDE 3.4.2)
Installed from:    Compiled From Sources
OS:                Linux

Some web pages open popup windows via JS, without user interface elements.  If this happens there are menu options to manually show the menu bar and then the various toolbars... but no way to enable the status bar.  This shows valuable security information - most notably, the target URL of a link - so there should be some way for the user to turn on the status bar on any browser window.

Bug 93456 suggests a policy to disable JS changes to the status bar text - which has been implemented, but does not address quite the same issue.

Bug 72701 suggests a more complicated set of policies to address hiding the status bar and more besides - the action of the patch there is rather drastic which may be why it has not been implemented.
Comment 1 FiNeX 2008-05-05 00:42:11 UTC
Actually even on konqueror 4 (trunk) the status bar cannot be toggled from the menu.
Comment 2 Jonathan Marten 2008-12-10 16:02:10 UTC
Patch at http://lists.kde.org/?l=kfm-devel&m=122885401907547&w=2
Comment 3 Janek Bevendorff 2012-06-18 17:39:18 UTC
Closing as FIXED as of comment #2. Please feel free to to reopen, if issue is still reproducible in Konqueror 4.8.4 or later.
Comment 4 Jonathan Marten 2012-06-19 07:42:32 UTC
Reopening because still relevant to Konqueror 4.8.4, the patch as in comment #2 was never integrated.
Version field updated.
Comment 5 Jonathan Marten 2012-06-24 07:29:10 UTC
Review submitted at https://git.reviewboard.kde.org/r/105337/
Comment 6 Jonathan Marten 2012-06-27 09:37:12 UTC
Git commit f4fbf758ce808b524322b4a812f1395f8e97efd7 by Jonathan Marten.
Committed on 25/06/2012 at 18:20.
Pushed by marten into branch 'master'.

Add an action to hide/show the status bar

Each view has its own status bar.  For the moment, this
action toggles the status bar of the current view only.
REVIEW:105337
GUI:

M  +31   -2    konqueror/src/konqmainwindow.cpp
M  +2    -0    konqueror/src/konqmainwindow.h
M  +2    -1    konqueror/src/konqueror.rc

http://commits.kde.org/kde-baseapps/f4fbf758ce808b524322b4a812f1395f8e97efd7